package com.yeejoin.amos.iot.business.service.impl;

import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IEquipmentTemplateDao;
import com.yeejoin.amos.iot.business.entity.EquipmentTemplate;
import com.yeejoin.amos.iot.business.service.intfc.IEqpTemplService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;

/**
 * 
 * <pre>
 * 设备模板服务
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: EqpTemplServiceImpl.java, v 0.1 2018年6月6日 下午5:41:44 as-guowubin Exp $
 */
@Service("EqpTemplService")
public class EqpTemplServiceImpl extends
		GenericManagerImpl<EquipmentTemplate, Long> implements IEqpTemplService
{

	IEquipmentTemplateDao equipmentTemplateDao;

	public EqpTemplServiceImpl(IEquipmentTemplateDao equipmentTemplateDao)
	{
		super(equipmentTemplateDao);
		this.equipmentTemplateDao = equipmentTemplateDao;
	}
}
