package com.yeejoin.amos.iot.business.service.impl;

import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IRuleNodeDao;
import com.yeejoin.amos.iot.business.entity.RuleNode;
import com.yeejoin.amos.iot.business.service.intfc.IRuleNodeService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;

/**
 * 
 * <pre>
 * 规则节点元素服务
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: RuleNodeServiceImpl.java, v 0.1 2018年4月24日 下午5:19:22 as-guowubin Exp $
 */
@Service("RuleNodeService")
public class RuleNodeServiceImpl extends GenericManagerImpl<RuleNode, String> implements IRuleNodeService
{
	
    IRuleNodeDao ruleNodeDao;
	
	public RuleNodeServiceImpl(IRuleNodeDao ruleNodeDao)
	{
		super(ruleNodeDao);
		this.ruleNodeDao = ruleNodeDao;
	}
}
