/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import java.util.List;

import com.yeejoin.amos.iot.rule.resource.RuleAIEntity;

/**
 * 
 * <pre>
 * 指标数据规则对象
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: MetricDataRo.java, v 0.1 2018年5月4日 下午5:38:40 as-guowubin Exp $
 */
public class MetricDataRo extends RuleAIEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1114651191968769224L;
	
	public MetricDataRo(List<MetricData> metricDatas)
	{
		this.metricDatas = metricDatas;
	}
	
	/**
	 * 指标数据集合
	 */
	private List<MetricData> metricDatas;
	/**
	 * 装备id
	 */
	private Long eqpId;
	  
   /**
    * 视图对象id
    */
	private Long subgraphId;
	/**
	 * 公司code
	 */
	private String orgCode;

	public List<MetricData> getMetricDatas()
	{
		return metricDatas;
	}

	public void setMetricDatas(List<MetricData> metricDatas)
	{
		this.metricDatas = metricDatas;
	}

	public Long getEqpId()
	{
		return eqpId;
	}

	public void setEqpId(Long eqpId)
	{
		this.eqpId = eqpId;
	}

	public Long getSubgraphId()
	{
		return subgraphId;
	}

	public void setSubgraphId(Long subgraphId)
	{
		this.subgraphId = subgraphId;
	}

	public String getOrgCode()
	{
		return orgCode;
	}

	public void setOrgCode(String orgCode)
	{
		this.orgCode = orgCode;
	}

}
