/**
 *
 */
package com.yeejoin.amos.iot.business.service.impl;

import com.yeejoin.amos.iot.business.entity.Dic;
import com.yeejoin.amos.iot.business.service.intfc.IDicService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;
import org.springframework.stereotype.Service;

/**
 * 数据字典service实现类
 *
 * @author as-youjun
 */
@Service("dicService")
public class DicServiceImpl extends GenericManagerImpl<Dic, Long> implements IDicService {

    public DicServiceImpl(IBaseRepository<Dic, Long> repository) {
        super(repository);
    }

    @Override
    public Dic getById(String id) {
        return findOne(Long.valueOf(id));
    }

}
